﻿2026-06-03T22:01:00.9655023Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-03T22:01:00.9655458Z with:
2026-06-03T22:01:00.9655674Z   components: clippy
2026-06-03T22:01:00.9655886Z   toolchain: stable
2026-06-03T22:01:00.9656082Z ##[endgroup]
2026-06-03T22:01:01.0000941Z ##[group]Run : parse toolchain version
2026-06-03T22:01:01.0001439Z [36;1m: parse toolchain version[0m
2026-06-03T22:01:01.0001751Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-03T22:01:01.0002293Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-03T22:01:01.0002857Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-03T22:01:01.0003144Z [36;1m  exit 1[0m
2026-06-03T22:01:01.0003469Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-03T22:01:01.0005472Z [36;1m  if [[ Windows == macOS ]]; then[0m
2026-06-03T22:01:01.0006017Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:01.0006605Z [36;1m  else[0m
2026-06-03T22:01:01.0007002Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:01.0007453Z [36;1m  fi[0m
2026-06-03T22:01:01.0007736Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-03T22:01:01.0008240Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:01.0008683Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-03T22:01:01.0009172Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:01.0009651Z [36;1melse[0m
2026-06-03T22:01:01.0009883Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:01.0010155Z [36;1mfi[0m
2026-06-03T22:01:01.0028003Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:01.0028498Z env:
2026-06-03T22:01:01.0028692Z   toolchain: stable
2026-06-03T22:01:01.0028902Z ##[endgroup]
2026-06-03T22:01:01.1822220Z ##[group]Run : construct rustup command line
2026-06-03T22:01:01.1822627Z [36;1m: construct rustup command line[0m
2026-06-03T22:01:01.1823070Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:01.1823696Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:01.1824156Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:01.1836536Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:01.1836964Z env:
2026-06-03T22:01:01.1837145Z   targets: 
2026-06-03T22:01:01.1837325Z   components: clippy
2026-06-03T22:01:01.1837535Z ##[endgroup]
2026-06-03T22:01:01.2772776Z ##[group]Run : set $CARGO_HOME
2026-06-03T22:01:01.2773118Z [36;1m: set $CARGO_HOME[0m
2026-06-03T22:01:01.2773479Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$USERPROFILE\.cargo"} >> $GITHUB_ENV[0m
2026-06-03T22:01:01.2784897Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:01.2785327Z ##[endgroup]
2026-06-03T22:01:01.3454657Z ##[group]Run : install rustup if needed on windows
2026-06-03T22:01:01.3455091Z [36;1m: install rustup if needed on windows[0m
2026-06-03T22:01:01.3455397Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-03T22:01:01.3456185Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://win.rustup.rs/x86_64 --output 'D:\a\_temp\rustup-init.exe'[0m
2026-06-03T22:01:01.3457038Z [36;1m  'D:\a\_temp\rustup-init.exe' --default-toolchain none --no-modify-path -y[0m
2026-06-03T22:01:01.3457479Z [36;1m  echo "$CARGO_HOME\bin" >> $GITHUB_PATH[0m
2026-06-03T22:01:01.3460288Z [36;1mfi[0m
2026-06-03T22:01:01.3472217Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:01.3472639Z env:
2026-06-03T22:01:01.3472848Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:01.3473116Z ##[endgroup]
2026-06-03T22:01:01.4123715Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-03T22:01:01.4124429Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-03T22:01:01.4136299Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:01.4136740Z env:
2026-06-03T22:01:01.4136953Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:01.4137230Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-03T22:01:01.4137678Z ##[endgroup]
2026-06-03T22:01:04.1346874Z info: syncing channel updates for stable-x86_64-pc-windows-msvc
2026-06-03T22:01:04.5846545Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T22:01:04.6207602Z info: removing previous version of component clippy
2026-06-03T22:01:04.6420690Z info: removing previous version of component rustfmt
2026-06-03T22:01:04.6633007Z info: removing previous version of component rust-std for target x86_64-pc-windows-gnu
2026-06-03T22:01:04.8192089Z info: removing previous version of component rust-std for target i686-pc-windows-msvc
2026-06-03T22:01:04.9085430Z info: removing previous version of component cargo
2026-06-03T22:01:05.0398276Z info: removing previous version of component rust-std
2026-06-03T22:01:05.1599875Z info: removing previous version of component rustc
2026-06-03T22:01:05.2765231Z info: downloading 7 components
2026-06-03T22:01:19.8564682Z 
2026-06-03T22:01:19.9964583Z   stable-x86_64-pc-windows-msvc updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-03T22:01:19.9966465Z 
2026-06-03T22:01:20.0228628Z ##[group]Run rustup default stable
2026-06-03T22:01:20.0228941Z [36;1mrustup default stable[0m
2026-06-03T22:01:20.0239657Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:20.0240369Z env:
2026-06-03T22:01:20.0240581Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:20.0240834Z ##[endgroup]
2026-06-03T22:01:20.0985849Z info: using existing install for stable-x86_64-pc-windows-msvc
2026-06-03T22:01:20.1035143Z info: default toolchain set to stable-x86_64-pc-windows-msvc
2026-06-03T22:01:20.1035672Z 
2026-06-03T22:01:20.1261370Z   stable-x86_64-pc-windows-msvc unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T22:01:20.1262181Z 
2026-06-03T22:01:20.1497513Z ##[group]Run : create cachekey
2026-06-03T22:01:20.1497822Z [36;1m: create cachekey[0m
2026-06-03T22:01:20.1498322Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-03T22:01:20.1498948Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-03T22:01:20.1499697Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-03T22:01:20.1516409Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:20.1516832Z env:
2026-06-03T22:01:20.1517033Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:20.1517285Z ##[endgroup]
2026-06-03T22:01:21.2947633Z ##[group]Run : disable incremental compilation
2026-06-03T22:01:21.2974845Z [36;1m: disable incremental compilation[0m
2026-06-03T22:01:21.2976838Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-03T22:01:21.2977365Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-03T22:01:21.2977794Z [36;1mfi[0m
2026-06-03T22:01:21.2995167Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:21.2995821Z env:
2026-06-03T22:01:21.2996122Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:21.2996517Z ##[endgroup]
2026-06-03T22:01:21.3550892Z ##[group]Run : enable colors in Cargo output
2026-06-03T22:01:21.3551255Z [36;1m: enable colors in Cargo output[0m
2026-06-03T22:01:21.3551567Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-03T22:01:21.3551903Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-03T22:01:21.3552183Z [36;1mfi[0m
2026-06-03T22:01:21.3562368Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:21.3562751Z env:
2026-06-03T22:01:21.3562949Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:21.3563212Z   CARGO_INCREMENTAL: 0
2026-06-03T22:01:21.3563804Z ##[endgroup]
2026-06-03T22:01:21.4127606Z ##[group]Run : enable Cargo sparse registry
2026-06-03T22:01:21.4127961Z [36;1m: enable Cargo sparse registry[0m
2026-06-03T22:01:21.4128519Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-03T22:01:21.4129175Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-03T22:01:21.4130106Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-03T22:01:21.4130599Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-03T22:01:21.4131060Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-03T22:01:21.4131529Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-03T22:01:21.4132006Z [36;1m    touch "D:\a\_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-03T22:01:21.4132442Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-03T22:01:21.4132767Z [36;1m  fi[0m
2026-06-03T22:01:21.4132957Z [36;1mfi[0m
2026-06-03T22:01:21.4149158Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:21.4149747Z env:
2026-06-03T22:01:21.4150053Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:21.4150455Z   CARGO_INCREMENTAL: 0
2026-06-03T22:01:21.4150768Z   CARGO_TERM_COLOR: always
2026-06-03T22:01:21.4151091Z ##[endgroup]
2026-06-03T22:01:21.6736429Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-03T22:01:21.6737196Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-03T22:01:21.6738095Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-03T22:01:21.6739097Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-03T22:01:21.6740192Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-03T22:01:21.6740654Z [36;1mfi[0m
2026-06-03T22:01:21.6757363Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:21.6758032Z env:
2026-06-03T22:01:21.6758331Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:21.6758745Z   CARGO_INCREMENTAL: 0
2026-06-03T22:01:21.6759095Z   CARGO_TERM_COLOR: always
2026-06-03T22:01:21.6759443Z ##[endgroup]
2026-06-03T22:01:21.8200061Z ##[group]Run rustc +stable --version --verbose
2026-06-03T22:01:21.8200585Z [36;1mrustc +stable --version --verbose[0m
2026-06-03T22:01:21.8222961Z shell: C:\Program Files\Git\bin\bash.EXE --noprofile --norc -e -o pipefail {0}
2026-06-03T22:01:21.8223612Z env:
2026-06-03T22:01:21.8223906Z   CARGO_HOME: C:\Users\runneradmin\.cargo
2026-06-03T22:01:21.8224324Z   CARGO_INCREMENTAL: 0
2026-06-03T22:01:21.8224653Z   CARGO_TERM_COLOR: always
2026-06-03T22:01:21.8224976Z ##[endgroup]
2026-06-03T22:01:21.9173833Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-03T22:01:21.9174824Z binary: rustc
2026-06-03T22:01:21.9175411Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-03T22:01:21.9176062Z commit-date: 2026-05-25
2026-06-03T22:01:21.9176531Z host: x86_64-pc-windows-msvc
2026-06-03T22:01:21.9177043Z release: 1.96.0
2026-06-03T22:01:21.9177886Z LLVM version: 22.1.2
